package ru.landgrafhomyak.bgtu.db0.impl

import kotlin.jvm.JvmStatic
import ru.landgrafhomyak.bgtu.db0.telegram.api.InlineButton

internal object Keyboards {
	@JvmStatic
	val singleQueueKeyboard = listOf(
		listOf(InlineButton("push", "qpush"), InlineButton("pop", "qpop")),
		listOf(InlineButton("up", "qup"), InlineButton("down", "qdown"))
	)

	@JvmStatic
	val multiQueueKeyboard: List<List<InlineButton>> = this.singleQueueKeyboard
		.plusElement(listOf(InlineButton("prev", "qprev"), InlineButton("next", "qnext")))
}