buildscript {
	repositories {
		mavenCentral()
		maven("https://maven.landgrafhomyak.ru/")
	}

	dependencies {
		classpath("ru.landgrafhomyak.kotlin:kotlin-mpp-gradle-build-helper:v0.2k2.0.20")
	}
}

plugins {
	kotlin("multiplatform") version "2.0.20"
}

repositories {
	mavenCentral()
}

kotlin {
	jvmToolchain(21)
	jvm()


	sourceSets {
		jvmMain {
			dependencies {
				compileOnly(project(":storage-api"))
				implementation("org.xerial:sqlite-jdbc:3.47.2.0")
			}
		}
	}
}