package ru.landgrafhomyak.bgtu.db0.telegram.impl

import ru.landgrafhomyak.bgtu.db0.telegram.api.InlineButton
import ru.landgrafhomyak.bgtu.db0.telegram.api.Message
import ru.landgrafhomyak.bgtu.db0.telegram.api.User

internal class MessageStruct(
	override val fromUser: User,
	override val chatId: Long,
	override val messageId: Long,
	private val _rawText: String?,
	override val replyToMessage: Message?,
	override val inlineKeyboard: List<List<InlineButton>>?
) : Message {
	override val rawText: String
		get() = this._rawText ?: throw NotTextMessageException()
}