package ru.landgrafhomyak.bgtu.db0.telegram.api

interface TelegramBotApi {
	fun isChatOwner(chat: Long, user: Long): Boolean

	fun sendMessage(replyTo: Message, htmlText: String, buttons: List<List<InlineButton>>? = null): Message
	fun editMessageText(message: Message, htmlText: String, keepButtons: Boolean = true): Message

	fun answerCallbackQuery(query: CallbackQuery, text: String)
}